Package org.w3c.tidy

# Class AttrCheckImpl.CheckClear

java.lang.Object
org.w3c.tidy.AttrCheckImpl.CheckClear

All Implemented Interfaces:
  `AttrCheck`

Enclosing class:
  `AttrCheckImpl`

public static class AttrCheckImpl.CheckClear extends Object implements AttrCheck
AttrCheck implementation for checking the "clear" attribute.

## Constructor Summary

Constructors
Constructor
Description
`CheckClear()`

## Method Summary

Modifier and Type
Method
Description
`void`
`check(Lexer lexer, Node node, AttVal attval)`
Check the value of an attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckClear

public CheckClear()

## Method Details

### check

public void check(Lexer lexer, Node node, AttVal attval)
Description copied from interface: `AttrCheck`
Check the value of an attribute.

Specified by:
  `check` in interface `AttrCheck`
Parameters:
  `lexer` - Lexer
  `node` - current Node
  `attval` - attribute value
See Also:
  - `AttrCheck.check(Lexer, Node, AttVal)`